Login
Newsletter
Werbung

Sicherheit: Ausführen beliebiger Kommandos in git
Aktuelle Meldungen Distributionen
Name: Ausführen beliebiger Kommandos in git
ID: SUSE-SU-2018:3150-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Module for Basesystem 15, SUSE Linux Enterprise Module for Development Tools 15
Datum: Mo, 15. Oktober 2018, 23:33
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-17456
Applikationen: Git

Originalnachricht

   SUSE Security Update: Security update for git
______________________________________________________________________________

Announcement ID: SUSE-SU-2018:3150-1
Rating: important
References: #1110949
Cross-References: CVE-2018-17456
Affected Products:
SUSE Linux Enterprise Module for Development Tools 15
SUSE Linux Enterprise Module for Basesystem 15
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for git fixes the following issues:

- CVE-2018-17456: Git allowed remote code execution during processing of a
recursive "git clone" of a superproject if a .gitmodules file has
a URL
field beginning with a '-' character. (boo#1110949).


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Module for Development Tools 15:

zypper in -t patch SUSE-SLE-Module-Development-Tools-15-2018-2232=1

- SUSE Linux Enterprise Module for Basesystem 15:

zypper in -t patch SUSE-SLE-Module-Basesystem-15-2018-2232=1



Package List:

- SUSE Linux Enterprise Module for Development Tools 15 (aarch64 ppc64le
s390x x86_64):

git-2.16.4-3.6.1
git-arch-2.16.4-3.6.1
git-cvs-2.16.4-3.6.1
git-daemon-2.16.4-3.6.1
git-daemon-debuginfo-2.16.4-3.6.1
git-debuginfo-2.16.4-3.6.1
git-debugsource-2.16.4-3.6.1
git-email-2.16.4-3.6.1
git-gui-2.16.4-3.6.1
git-svn-2.16.4-3.6.1
git-svn-debuginfo-2.16.4-3.6.1
git-web-2.16.4-3.6.1
gitk-2.16.4-3.6.1

- SUSE Linux Enterprise Module for Development Tools 15 (noarch):

git-doc-2.16.4-3.6.1

- SUSE Linux Enterprise Module for Basesystem 15 (aarch64 ppc64le s390x
x86_64):

git-core-2.16.4-3.6.1
git-core-debuginfo-2.16.4-3.6.1
git-debuginfo-2.16.4-3.6.1
git-debugsource-2.16.4-3.6.1


References:

https://www.suse.com/security/cve/CVE-2018-17456.html
https://bugzilla.suse.com/1110949

_______________________________________________
sle-security-updates mailing list
sle-security-updates@lists.suse.com
http://lists.suse.com/mailman/listinfo/sle-security-updates
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung